math.randomseed( os.time() )

function love.load()
	win = love.graphics.setMode(640,480)
end

stars = {}
time = 1
limit = 500
speed = 200
function love.update(dt)
love.graphics.setCaption("Watch the stars fly! ("..love.timer.getFPS().." FPS)")
	
	for i=1, #stars do
		if stars[i] ~= nil then
			stars[i].y = stars[i].y+(speed*dt*(stars[i].size/2))
		end
	end
	
	if time >= speed/200 then
		for i=1, math.random(12,20) do
			local star = {}
			star.x = math.random(-640,1280)
			star.y = math.random(100,600)*-1
			star.size = math.random(20,250)/100
			table.insert(stars,star)
		end
		time = 0
	else
		time = time+dt
	end
	if #stars > limit then
		table.remove(stars,1)
	end
end

function love.keypressed(k)
	if k == "up" then
		limit = limit + 10
	elseif k == "down" then
		limit = limit - 10
	end
	
	if k == "left" then
		speed = speed - 10
	elseif k == "right" then
		speed = speed + 10
	end
	
	if k == "r" then
		limit = 500
		speed = 200
	end
	
	if k == "x" then
		stars = {}
	end
end

f = love.graphics.newFont(12)
love.graphics.setFont(f)
starimg = love.graphics.newImage("star.png")
function love.draw()
	for i=1, #stars do
		if stars[i] ~= nil then
			love.graphics.draw(starimg,stars[i].x,stars[i].y,0,stars[i].size/4)
		end
	end
	love.graphics.print(
	"Stars on screen: "..#stars..
	"\nStars limit (change with up/down arrow keys if lagging): "..limit..
	"\nStar Speed (change with left/right arrow keys): "..speed..
	"\nPress \"r\" to reset all values."..
	"\nPress \"x\" to remove all stars.",0,12)
end

